const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const radiology_types = sequelize.define(
    'radiology_types',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

name: {
        type: DataTypes.TEXT,
      
      

      },

price: {
        type: DataTypes.DECIMAL,
      
      

      },

notes: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  radiology_types.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity











    db.radiology_types.hasMany(db.radiology_studies, {
      as: 'radiology_studies_study_type',
      foreignKey: {
          name: 'study_typeId',
      },
      constraints: false,
    });




































//end loop






    db.radiology_types.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.radiology_types.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return radiology_types;
};


